summaryrefslogtreecommitdiffstats
path: root/source/a/slocate/slocate.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/slocate/slocate.SlackBuild')
-rwxr-xr-xsource/a/slocate/slocate.SlackBuild14
1 files changed, 9 insertions, 5 deletions
diff --git a/source/a/slocate/slocate.SlackBuild b/source/a/slocate/slocate.SlackBuild
index eef2fd1f6..def08b8c8 100755
--- a/source/a/slocate/slocate.SlackBuild
+++ b/source/a/slocate/slocate.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2010, 2012 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,7 +22,7 @@
VERSION=3.1
-BUILD=${BUILD:-3}
+BUILD=${BUILD:-4}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -55,8 +55,12 @@ explodepkg $CWD/_slocate.tar.gz
cd $TMP
rm -rf slocate-$VERSION
-tar xzvf $CWD/slocate-$VERSION.tar.gz
-cd slocate-$VERSION
+tar xzvf $CWD/slocate-$VERSION.tar.gz || exit 1
+cd slocate-$VERSION || exit 1
+
+zcat $CWD/slocate.bigfile.diff.gz | patch -p0 --verbose || exit 1
+zcat $CWD/slocate.CVE-2007-0277.diff.gz | patch -p1 --verbose || exit 1
+
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 2750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -65,7 +69,7 @@ find . \
-exec chmod 644 {} \;
cd src
-make CFLAGS="$SLKCFLAGS"
+make CFLAGS="$SLKCFLAGS -D_LARGEFILE64_SOURCE" || exit 1
cd ..
strip --strip-unneeded src/slocate
mkdir -p $PKG/usr/bin